// @ts-ignore
/* eslint-disable */

/**
 * 该文件为 @umijs/openapi 插件自动生成，请勿随意修改。如需修改请通过配置 openapi.config.ts 进行定制化。
 * */

import { request, type RequestOptions } from "@/utils/request";

/** 获取用户列表 GET /api/system/client/users */
export async function clientUserList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.ClientUserListParams,
  options?: RequestOptions
) {
  return request<{
    items?: API.ClientUser[];
    meta?: {
      itemCount?: number;
      totalItems?: number;
      itemsPerPage?: number;
      totalPages?: number;
      currentPage?: number;
    };
  }>("/api/system/client/users", {
    method: "GET",
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 新增用户 POST /api/system/client/users */
export async function clientUserCreate(
  body: API.ClientUserDto,
  options?: RequestOptions
) {
  return request<API.ClientUser>("/api/system/client/users", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || { successMsg: "创建成功" }),
  });
}

/** 查询用户 GET /api/system/client/users/${param0} */
export async function clientUserRead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.ClientUserReadParams,
  options?: RequestOptions
) {
  const { id: param0, ...queryParams } = params;
  return request<API.ClientUser>(`/api/system/client/users/${param0}`, {
    method: "GET",
    params: { ...queryParams },
    ...(options || {}),
  });
}

/** 更新用户 PUT /api/system/client/users/${param0} */
export async function clientUserUpdate(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.ClientUserUpdateParams,
  body: API.ClientUserUpdateDto,
  options?: RequestOptions
) {
  const { id: param0, ...queryParams } = params;
  return request<any>(`/api/system/client/users/${param0}`, {
    method: "PUT",
    headers: {
      "Content-Type": "application/json",
    },
    params: { ...queryParams },
    data: body,
    ...(options || { successMsg: "更新成功" }),
  });
}

/** 删除用户 DELETE /api/system/client/users/${param0} */
export async function clientUserDelete(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.ClientUserDeleteParams,
  options?: RequestOptions
) {
  const { id: param0, ...queryParams } = params;
  return request<any>(`/api/system/client/users/${param0}`, {
    method: "DELETE",
    params: { ...queryParams },
    ...(options || { successMsg: "删除成功" }),
  });
}

/** 开通会员 PUT /api/system/client/users/${param0}/openMember */
export async function clientUserOpenMember(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.ClientUserOpenMemberParams,
  body: API.OpenMemberDto,
  options?: RequestOptions
) {
  const { id: param0, ...queryParams } = params;
  return request<API.ClientUser>(
    `/api/system/client/users/${param0}/openMember`,
    {
      method: "PUT",
      headers: {
        "Content-Type": "application/json",
      },
      params: { ...queryParams },
      data: body,
      ...(options || {}),
    }
  );
}

/** 更改用户密码 POST /api/system/client/users/${param0}/password */
export async function clientUserPassword(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.ClientUserPasswordParams,
  body: API.UserPasswordDto,
  options?: RequestOptions
) {
  const { id: param0, ...queryParams } = params;
  return request<any>(`/api/system/client/users/${param0}/password`, {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    params: { ...queryParams },
    data: body,
    ...(options || {}),
  });
}
