// src/api/payment.ts
//import axios from '@/utils/request';
import type { PaymentCreateParams } from '@/types/payment';
import { request, type RequestOptions } from '@/utils/request';

export const PaymentService = {
  /**
   * 创建缴费记录
   */
  async create(data: PaymentCreateParams, options?: RequestOptions) {
    return request<any>('/api/forward/middleground/eweiShopMemberPayment/add', {
      method: 'POST',
      data: data,
      ...(options || { successMsg: '新增成功' }),
    });
    // const response = await axios.post<PaymentRecord>(
    //   '/api/forward/middleground/eweiShopMemberPayment/add',
    //   data,
    // );
    // return response.data;
  },

  /**
   * 更新缴费记录
   */
  async update(id: number, data: Partial<PaymentCreateParams>, options?: RequestOptions) {
    return request<any>('/api/forward/middleground/eweiShopMemberPayment/edit', {
      method: 'POST',
      data: data,
      ...(options || { successMsg: '更新成功' }),
    });
    // const response = await axios.post<PaymentRecord>(
    //   `/api/forward/middleground/eweiShopMemberPayment/edit`,
    //   data,
    // );
    // return response.data;
  },

  /**
   * 删除缴费记录
   */
  async delete(id: string, options?: RequestOptions) {
    return request<any>('/api/forward/middleground/eweiShopMemberPayment/del?id=' + id, {
      method: 'GET',
      ...(options || { successMsg: '删除成功' }),
    });

    //await axios.get(`/api/forward/middleground/eweiShopMemberPayment/del?id=${id}`);
    //return true;
  },

  /**
   * 获取缴费记录列表
   */
  async getList(
    params: {
      memberId?: string;
      pageSize: number;
      pageNum: number;
    },
    options?: RequestOptions,
  ) {
    const { pageNum: page } = params;
    return request<any>('/api/forward/page/eweiShopMemberPayment/list', {
      method: 'GET',
      params: { ...params, page },
      ...(options || {}),
    });
    // const response = await axios.get<PaymentRecord[]>('/api/forward/page/eweiShopMemberPayment/list', { params:{ ...params, page } });
    // return response.data;
  },

  /**
   * 获取单条缴费记录详情
   */
  async getDetail(id: number, options?: RequestOptions) {
    return request<any>('/api/forward/middleground/eweiShopMemberPayment/detail?id=' + id, {
      method: 'GET',
      ...(options || {}),
    });
    // const response = await axios.get<PaymentRecord>(
    //   `/api/forward/middleground/eweiShopMemberPayment/detail?id=${id}`,
    // );
    // return response.data;
  },
};
