// import { Input } from 'ant-design-vue';
import type { TableColumn } from '@/components/core/dynamic-table';
import { formatToDateTime } from '@/utils/dateUtil';

export type TableListItem = API.ClientUser;
export type TableColumnItem = TableColumn<TableListItem>;

export const baseColumns: TableColumnItem[] = [
  // {
  //   title: '名称',
  //   dataIndex: 'username',
  //   align: 'left',
  //   fixed: 'left',
  //   width: 200,
  // },
  {
    title: '用户ID',
    dataIndex: 'id',
    width: 100,
    hideInSearch: true,
  },
  {
    title: '手机号',
    dataIndex: 'phone',
    width: 180,
    ellipsis: true,
  },
  {
    title: '联系人',
    dataIndex: 'nickname',
    width: 180,
  },
  {
    title: '职务',
    dataIndex: 'office',
    width: 180,
    // formItemProps: {
    //   labelWidth: 120,
    //   component: ({ formModel, field }) => {
    //     // console.log('formModel[field]', formModel[field]);
    //     // return <input v-model={formModel[field]}></input>;
    //     return (
    //       <Input
    //         placeholder="请选择职务"
    //         // value={formModel[field]}
    //         // onUpdate:value={(data) => {
    //         //   console.log(data);
    //         // }}
    //       ></Input>
    //     );
    //   },
    // },
  },
  {
    title: '登记企业',
    dataIndex: 'company',
    width: 180,
    ellipsis: true,
    hideInSearch: true,
  },
  {
    title: '创建时间',
    width: 180,
    dataIndex: 'createdAt',
    hideInSearch: true,
    customRender({ text }) {
      return formatToDateTime(text);
    },
  },
  {
    title: '最近登录时间',
    width: 180,
    dataIndex: 'theLastLoginTime',
    hideInSearch: true,
    customRender({ text }) {
      return formatToDateTime(text);
    },
  },
];
