// constants.ts
import type { TableColumnType } from 'ant-design-vue';

export const PAYMENT_COLUMNS: TableColumnType<PaymentRecord>[] = [
  { title: '缴费日期', dataIndex: 'paymentDate', width: 100 },
  { title: '会员等级', dataIndex: 'memberLevelDic', width: 80 },
  { title: '缴费金额', dataIndex: 'paymentMoney', width: 120, align: 'right' },
  { title: '有效期限', dataIndex: 'startDate', width: 180 },
  { title: '备注', dataIndex: 'remark' },
  { title: '录入日期', dataIndex: 'createTime', width: 100 },
  { title: '操作', key: 'action', width: 120 },
];

export const INVOICE_COLUMNS: TableColumnType<InvoiceRecord>[] = [
  { title: '开票日期', dataIndex: 'invoiceDate', width: 120 },
  { title: '发票源文件', dataIndex: 'fileUrl', width: 150, align: 'center' },
  { title: '备注', dataIndex: 'remark' },
  { title: '创建日期', dataIndex: 'createTime', width: 120 },
  { title: '操作', key: 'action', width: 120 },
];
