import type { TableColumn } from '@/components/core/dynamic-table';

export type TableListItem = API.TopicDetailsDto;
export type TableColumnItem = TableColumn<TableListItem>;

export const baseColumns: TableColumnItem[] = [
  {
    title: '编号',
    dataIndex: 'orderNo',
    ellipsis: true,
    fixed: 'left',
    editable: false,
    width: 100,
  },
  {
    title: '标题',
    dataIndex: 'title',
    editable: false,
    hideInSearch: true,
    customRender({ text, record }) {
      return (
        <div class="flex flex-col items-start gap-2 w-full px-2">
          <div class="text-blue text-[18px]">{text}</div>
          <div class="text-grey">{record.policyTitle}</div>
          <div class="flex justify-between w-full">
            <div>申报开始日期：{record.dispatchDate.substr(0, 10)}</div>
            <div>
              适用地域：
              {record.areaName && record.areaName.length
                ? record.areaName.filter((item) => item).join('，')
                : ''}
            </div>
            <div>上传人员：{record.createByName}</div>
          </div>
        </div>
      );
    },
  },
];
